Bug 137382 - Should "Follow text flow" be changed to "Keep inside text boundaries" on Position and Size tab in Position and Size dialog for Textbox and Shape?
Summary: Should "Follow text flow" be changed to "Keep inside text boundaries" on Po...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: sdc.blanco
URL:
Whiteboard: target:7.1.0
Keywords: difficultyBeginner, easyHack, skillDesign, topicUI
Depends on:
Blocks: Dialog-UX
  Show dependency treegraph
 
Reported: 2020-10-10 14:24 UTC by sdc.blanco
Modified: 2020-10-14 13:04 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sdc.blanco 2020-10-10 14:24:57 UTC
To understand the question in bug summary:

1.  Insert (or select) a textbox (or shape).
2.  Right-click, choose Position and Size, Position and Size tab.
3.  At bottom of dialog box is the control:  "Follow text flow".

According to bug 137141, comment 6, this label should be: "Keep inside text boundaries" having the same function as "Keep inside text boundaries" as found on the Type tab in the Properties dialog both for Frame and for Image.  

Inspection of the source code seems consistent with that assertion.

Therefore the question:  Should "Follow text flow"  be changed to "Keep inside text boundaries" on Position and Size tab?

Bug 137141, comment 9 suggests getting UX input.
Comment 1 Heiko Tietze 2020-10-12 09:19:57 UTC
Don't remember a discussion neither find it in the minutes. Text flow was discussed in respect to page break on bug 134440. 

Code pointer: cui/uiconfig/ui/swpossizepage.ui

Last change on the file is from Olivier in https://gerrit.libreoffice.org/c/core/+/101894
Comment 2 sdc.blanco 2020-10-12 16:52:37 UTC
Have merged a patch for this: https://gerrit.libreoffice.org/c/core/+/104155
but for reasons that I do not understand, the patch was not reported automatically here.
Comment 3 Commit Notification 2020-10-14 12:37:55 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ca178d4afb26dd4404ca7bfddc3e2e2d391a91ad

Resolves: tdf#137382 update label to "Keep inside text boundaries"

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.